#!/usr/bin/perl -w

use strict;
use warnings;
use Carp;

use WebService::Browshot;


my $browshot = WebService::Browshot->new(
	key	=> 'my_api_key',
	debug	=> 0, # no more debug information
);

my $instance = $browshot->instance_info(id => 12);

print "Instance #12 costs ", $instance->{screenshot_cost}, " credit(s) per screenshot.\n";
if ($instance->{load} < 1) {
	print "New screenshots requests will be handled immediately.\n";
}
else {
	print "There may be some delay to start processing new screenshot requests.\n";
}
